%{?nodejs_find_provides_and_requires}

Name:           nodejs-lcid
Version:        2.0.0
Release:        %mkrel 3
Summary:        Mapping between standard locale identifiers and Windows locale identifiers (LCID)
License:        MIT
Group:          Development/Other
Url:            https://github.com/sindresorhus/lcid
Source0:        https://registry.npmjs.org/lcid/-/lcid-%{version}.tgz
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  npm(invert-kv)
Obsoletes:      lcid
BuildArch:      noarch


%description
Mapping between standard locale identifiers and Windows locale identifiers (LCID)

%prep
%setup -q -n package

%nodejs_fixdep invert-kv ">=2.0.0"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lcid
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/lcid

%{nodejs_symlink_deps}

%files
%doc license readme.md
%{nodejs_sitelib}/lcid


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 2.0.0-3.mga9
+ Revision: 1826436
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1535587
- Mageia 8 Mass Rebuild

* Sun Oct 28 2018 joequant <joequant> 2.0.0-1.mga8
+ Revision: 1326278
- upgrade to 2.0.0

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-5.mga7
+ Revision: 1280550
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.0.0-4.mga7
+ Revision: 1227329
- Fix nodejs dependencies

* Sun Apr 29 2018 kekepower <kekepower> 1.0.0-3.mga7
+ Revision: 1223496
- Fix dep for invert-kv

* Sat Feb 20 2016 umeabot <umeabot> 1.0.0-2.mga6
+ Revision: 972225
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 spuhler <spuhler> 1.0.0-1.mga6
+ Revision: 896789
- local srpm build based on Opensuse

